# Method: partners.promotions.findEligible

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.request_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.response_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions/findEligible#body.FindEligiblePromotionsResponse.SCHEMA_REPRESENTATION)

Currently, it is only enabled for **YouTube**.

Finds eligible promotions for the current user. The API requires user authorization via OAuth. The bare minimum oauth scope `openid` is sufficient, which will skip the consent screen.

### HTTP request

`POST https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/promotions:findEligible`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, the partner that can resell. Format: partners/{partner} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string, "pageSize": integer, "pageToken": string } ``` |

| Fields ||
|---|---|
| `filter` | `string` Optional. Specifies the filters for the promotion results. The syntax is defined in <https://google.aip.dev/160> with the following caveats: 1. Only the following features are supported: - Logical operator `AND` - Comparison operator `=` (no wildcards `*`) - Traversal operator `.` - Has operator `:` (no wildcards `*`) 2. Only the following fields are supported: - `applicableProducts` - `regionCodes` - `youtubePayload.partnerEligibilityId` - `youtubePayload.postalCode` 3. Unless explicitly mentioned above, other features are not supported. Example: `applicableProducts:partners/partner1/products/product1 AND regionCodes:US AND youtubePayload.postalCode=94043 AND youtubePayload.partnerEligibilityId=eligibility-id` |
| `pageSize` | `integer` Optional. The maximum number of promotions to return. The service may return fewer than this value. If unspecified, at most 50 promotions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `promotions.findEligible` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `promotions.findEligible` must match the call that provided the page token. |

### Response body

Response containing the found promotions for the current user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "promotions": [ { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions#Promotion`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `promotions[]` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.promotions#Promotion`)`` The promotions for the current user. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is empty, there are no subsequent pages. |